be.fgov.ehealth.dics.protocol.v4

## Class PharmaceuticalFormWithStandardsType

- java.lang.Object
- - be.fgov.ehealth.dics.core.v4.refdata.PharmaceuticalFormKeyType
  - - be.fgov.ehealth.dics.protocol.v4.PharmaceuticalFormWithStandardsType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:07+01:00",
                 comments="JAXB RI v2.2.11")
      public class PharmaceuticalFormWithStandardsType
      extends PharmaceuticalFormKeyType
      implements Serializable

  Java class for PharmaceuticalFormWithStandardsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PharmaceuticalFormWithStandardsType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:core:v4:refdata}PharmaceuticalFormKeyType">
             <sequence>
               <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
               <element name="StandardForm" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultStandardFormType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PharmaceuticalFormWithStandardsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsultTextType` | `getName()` Gets the value of the name property.
    `List<ConsultStandardFormType>` | `getStandardForms()` Gets the value of the standardForms property.
    `void` | `setName(ConsultTextType value)` Sets the value of the name property.

    - ### Methods inherited from class be.fgov.ehealth.dics.core.v4.refdata.PharmaceuticalFormKeyType

      `getCode, setCode`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PharmaceuticalFormWithStandardsType

          public PharmaceuticalFormWithStandardsType()

  - ### Method Detail

    - #### getName

          public ConsultTextType getName()

      Gets the value of the name property.
      Returns:
        possible object is `ConsultTextType`

    - #### setName

          public void setName(ConsultTextType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getStandardForms

          public List<ConsultStandardFormType> getStandardForms()

      Gets the value of the standardForms property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardForms property.

      For example, to add a new item, do as follows:

              getStandardForms().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultStandardFormType`

Connector Packaging PERSDIETICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.